Page MenuHomePhabricator

Add time usage and call count to TokenTransformMangers add, remove and getTransform functions
Closed, ResolvedPublic

Description

To determine the cost of the addTransform, removeTransform and getTransform functions, profiling information is required. Alternative methods of transformer invocation can them be considered if the overhead is significant.

Event Timeline

Sbailey created this task.Nov 8 2018, 9:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 8 2018, 9:58 PM

Change 472581 had a related patch set uploaded (by Sbailey; owner: Sbailey):
[mediawiki/services/parsoid@master] Added three new performance metrics to TokenTransformManager

https://gerrit.wikimedia.org/r/472581

ssastry triaged this task as Low priority.Nov 17 2018, 7:38 PM
ssastry closed this task as Resolved.Nov 26 2018, 3:05 PM

We have the gerrit patch which we can revive if we ever want it. We got the performance numbers from that patch which revealed that the transformer management work is about 3% of the parse time. This can potentially be improved in future iterations but is not a priority right now. I am going to mark this resolved for now.

Change 472581 abandoned by Subramanya Sastry:
Added three new performance metrics to TokenTransformManager

Reason:
Not needed anymore

https://gerrit.wikimedia.org/r/472581